<?php
/**
 * @category   Alogic
 * @package    Alogic_Surveryform
 * @author     dushyanta.joshi@gmail.com
 * @copyright  This file was generated by using Module Creator(http://code.vky.co.in/magento-2-module-creator/) provided by VKY <viky.031290@gmail.com>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

namespace Alogic\Surveryform\Block;

use Magento\Framework\View\Element\Template\Context;
use Alogic\Surveryform\Model\SurveryformFactory;
/**
 * Surveryform List block
 */
class SurveryformListData extends \Magento\Framework\View\Element\Template
{
    /**
     * @var Surveryform
     */
    protected $_surveryform;
    public function __construct(
        Context $context,
        SurveryformFactory $surveryform
    ) {
        $this->_surveryform = $surveryform;
        parent::__construct($context);
    }

    public function _prepareLayout()
    {
        $this->pageConfig->getTitle()->set(__('Alogic Surveryform Module List Page'));
        
        if ($this->getSurveryformCollection()) {
            $pager = $this->getLayout()->createBlock(
                'Magento\Theme\Block\Html\Pager',
                'alogic.surveryform.pager'
            )->setAvailableLimit(array(5=>5,10=>10,15=>15))->setShowPerPage(true)->setCollection(
                $this->getSurveryformCollection()
            );
            $this->setChild('pager', $pager);
            $this->getSurveryformCollection()->load();
        }
        return parent::_prepareLayout();
    }

    public function getSurveryformCollection()
    {
        $page = ($this->getRequest()->getParam('p'))? $this->getRequest()->getParam('p') : 1;
        $pageSize = ($this->getRequest()->getParam('limit'))? $this->getRequest()->getParam('limit') : 5;

        $surveryform = $this->_surveryform->create();
        $collection = $surveryform->getCollection();
        $collection->addFieldToFilter('status','1');
        //$surveryform->setOrder('surveryform_id','ASC');
        $collection->setPageSize($pageSize);
        $collection->setCurPage($page);

        return $collection;
    }

    public function getPagerHtml()
    {
        return $this->getChildHtml('pager');
    }
}